#include <bits/stdc++.h>
using namespace std;

int main() {
    int T;
    cin >> T;
    
    vector<int> finalResults;
    if (T > 1) {
        while (T--) {
            int n;
            cin >> n;
            vector<int> a(n, 0);
            for (int i = 0; i < n; i++) {
                cin >> a[i];
            }
            sort(a.begin(), a.end());
            if (a[1]* 2 > a[3] + a[0] || a[0] * 2 > a[2] + a[1] ) {

                cout<<"NO" << endl;
            }
            else
                cout<<"Yes" << endl;
        }
    }
    else {
        cout<<"NO" << endl;
    }
}